/******************************************************************************/
/* Sistemas Integrados TECNISA                                                */
/* Nome: USR_IMPORTA_FECHAMENTO.sql                                           */
/*                                                                            */
/* Criao:                                                                   */
/* 23/04/2012 - Marcelo Alexsandro Souza Silva                                */
/******************************************************************************/

CREATE OR REPLACE PROCEDURE USR_IMPORTA_FECHAMENTO AS
   V_COUNT  INTEGER;
   V_RETURN VARCHAR2(1);
   V_ERROR VARCHAR2(4000);
BEGIN
   V_RETURN := USR_FUNC_BLOQUEIO('USR_FECHAMENTO', 'B' );
   IF V_RETURN = 'S' THEN
      FOR C_PRINCIPAL IN
        (SELECT USR_CDFILIAL CDFILIAL, USR_DTFECHADIA DTFECHADIA, USR_DTULTATUFECHA DTULTATUFECHA, DTANTFECHADIA
           FROM USR_FECHAMENTO, FILGRUPFILI
          WHERE USR_FECHAMENTO.USR_CDFILIAL = FILGRUPFILI.CDFILIAL
            AND FILGRUPFILI.CDGRUPFILI = '9999999999'
            AND USR_FECHAMENTO.IDORIGREGISTRO = 'P'
            AND USR_FECHAMENTO.DTIMPORTACAO IS NULL
            AND USR_FECHAMENTO.HRIMPORTACAO IS NULL
            AND USR_FECHAMENTO.DTGRAVACAO IS NOT NULL
            AND USR_FECHAMENTO.HRGRAVACAO IS NOT NULL
          ORDER BY USR_CDFILIAL, USR_DTFECHADIA)
      LOOP
        V_COUNT := 0;
        SELECT COUNT(1)
          INTO V_COUNT
          FROM EXPAUTFILIAL
         WHERE CDFILIAL = C_PRINCIPAL.CDFILIAL
           AND CDRELATEXP = 'CCH03000';
        IF V_COUNT > 0 THEN
           EXPORTA_TABELA_NF(C_PRINCIPAL.CDFILIAL, C_PRINCIPAL.DTANTFECHADIA);
        END IF;
        UPDATE PARAMFILIAL
           SET DTPROCESSA = C_PRINCIPAL.DTFECHADIA
         WHERE CDFILIAL = C_PRINCIPAL.CDFILIAL;

         UPDATE USR_FECHAMENTO
            SET DTIMPORTACAO = TO_DATE(SYSDATE),
                HRIMPORTACAO = TO_CHAR(SYSDATE, 'HH24MI')
          WHERE USR_CDFILIAL = C_PRINCIPAL.CDFILIAL;
        COMMIT;
      END LOOP;
      V_RETURN := USR_FUNC_BLOQUEIO('USR_FECHAMENTO', 'D' );
   END IF;
EXCEPTION   
  WHEN OTHERS THEN BEGIN
     IF V_RETURN = 'S' THEN
        V_ERROR:= SQLERRM(SQLCODE);
        V_RETURN := USR_FUNC_BLOQUEIO('USR_FECHAMENTO', 'D', V_ERROR);
     END IF;
  END;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('USR_IMPORTA_FECHAMENTO','5.09.xxx'); END;
/
