IF EXISTS (SELECT
              *
           FROM
              SYSOBJECTS O, SYSUSERS U
           WHERE
              O.NAME = 'ARQUIVO_SINTEGRA_53' AND
              TYPE   = 'P' 		 AND
              U.UID  = O.UID             AND
              U.NAME = USER)

DROP PROCEDURE ARQUIVO_SINTEGRA_53
GO
CREATE PROCEDURE ARQUIVO_SINTEGRA_53
   @P_CDEMPRESA        VARCHAR(02),
   @P_CDIMPOSTO        VARCHAR(02),
   @P_CDINSCESTA       VARCHAR(16),
   @P_DTINICIAL        DATETIME,
   @P_DTFINAL          DATETIME,
   @P_CDPAIS           VARCHAR(04),
   @P_SGESTADO         VARCHAR(02),
   @P_NRSEQARQMAG      VARCHAR(10),
   @P_CDSITUCRT        VARCHAR(1),
   @P_CONTADOR         NUMERIC      OUTPUT
AS
   DECLARE @V_CONTADOR     NUMERIC;
   DECLARE @V_IPI          VARCHAR(02);
   DECLARE @V_STTOTAL      VARCHAR(15);
   DECLARE @V_REGISTRO53   VARCHAR(250);
   DECLARE @V_CONTREG      NUMERIC;
BEGIN
   SET @V_CONTREG = 0;
   SET @V_CONTADOR = @P_CONTADOR + 1;

   IF (@P_CDSITUCRT = '3') BEGIN  /* EMPRESA QUE NO  DO SIMPLES NACIONAL */

       DECLARE C_REGISTRO53 CURSOR FOR
          SELECT SUBSTRING('53'+
                 RIGHT(REPLICATE('0',14)+ISNULL(CASE CL.IDTPIJURCLIE WHEN 'I' THEN ''WHEN 'O' THEN '' ELSE CL.NRINSJURCLIE END,'00000000000000'),14)+
                 LEFT(ISNULL(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(CL.NRINSESTCLIE, ' ', ''),'.',''),',',''),'-',''),'/',''),'ISENTO')+REPLICATE(' ',14),14)+
                 RTRIM(CONVERT(CHAR, CASE NF.IDENTRSAIDOP WHEN 'E' THEN  NF.DTENTRSAID ELSE NF.DTEMISSAO END,112))+
                 LEFT(ISNULL(EC.SGESTADO,' ')+REPLICATE(' ',2),2)+
                 LEFT(ISNULL(NF.CDMODDOCFISC,'01')+REPLICATE(' ',2),2)+
                 LEFT(CASE ISNULL(NF.CDSERIE,NF.CDSERIEENTR) WHEN '-' THEN ' ' ELSE REPLACE(ISNULL(NF.CDSERIE,NF.CDSERIEENTR), '-', '')END+REPLICATE(' ',3),3)+
                 RIGHT(REPLICATE('0',6)+SUBSTRING(NF.NRNOTAFISC,LEN(NF.NRNOTAFISC)-5,6),6)+
                 LEFT(ISNULL(NF.CDFISCOPERNF,'0')+REPLICATE(' ',4),4)+
                 'P'+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRBASECALCNF,0)),'.','')),13)+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRIMPOSTONF,0)),'.','')),13)+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRDESPESAS,0)),'.','')),13)+
                 'N'+
                 ' '+
                 LEFT(' '+REPLICATE(' ',30),30)
                 ,1, 126) AS DSARQMAG
            FROM CLIENTE CA LEFT JOIN ENDECLIE EC ON (EC.CDCLIENTE    = CA.CDCLIENTE AND
                                                      EC.IDTPENDECLIE = ISNULL(CA.IDENDEMISCLI,'P')),
                 CLIENTE CL RIGHT JOIN
                 (SELECT I.CDFILIAL, I.NRLANCTONF,N.NRNOTAFISC, N.CDSERIE, N.CDSERIEENTR, N.CDCLIENTE,
                         N.DTEMISSAO, N.DTENTRSAID, I.VRALIQNF, I.CDFISCOPERNF,N.CDMODDOCFISC, N.IDORIGDESTNF, N.IDENTRSAIDOP,
                         SUM(I.VRCONTABILNF) AS VRCONTABILNF,
                         SUM(CASE I.CDFISCALNF WHEN '1' THEN I.VRBASECALCNF  ELSE 0 END )AS VRBASECALCNF,
                         SUM(CASE I.CDFISCALNF WHEN '1' THEN I.VRIMPOSTONF   ELSE 0 END )AS VRIMPOSTONF,
                         SUM(CASE I.CDFISCALNF WHEN '3' THEN I.VRCONTABILNF ELSE 0 END ) AS VROUTRCRED,
                         SUM(CASE I.CDFISCALNF WHEN '2' THEN I.VRCONTABILNF WHEN '1' THEN CASE I.VRPERREDBCNF WHEN 0 THEN 0 ELSE I.VRCONTABILNF-I.VRBASECALCNF END ELSE 0 END)AS VRISENTRIB,
                         0 AS VRDESPESAS
                    FROM MAPAAPURAC M, NOTAFISCAL N, IMPOSTONF I, MODDOCFISC MD,
                         (SELECT DISTINCT IP.CDFILIAL, IP.NRLANCTONF
                            FROM MAPAAPURAC M, IMPOSTONF IP
                           WHERE M.CDEMPRESA    = @P_CDEMPRESA
                             AND M.CDINSCESTA   = @P_CDINSCESTA
                             AND M.DTINIPERIODO >= @P_DTINICIAL
                             AND M.DTFIMPERIODO <= @P_DTFINAL
                             AND M.CDIMPOSTO    = @P_CDIMPOSTO
                             AND M.NRSEQUMAPAPU = IP.NRSEQUMAPAPU
                             AND IP.CDIMPOSTO   = @P_CDIMPOSTO) IC,
                         (SELECT CDIMPOSTRIB
                            FROM IMPOSTO
                           WHERE CDIMPOSTO = @P_CDIMPOSTO) ST
                   WHERE M.CDEMPRESA       = @P_CDEMPRESA
                     AND M.CDINSCESTA      = @P_CDINSCESTA
                     AND M.DTINIPERIODO   >= @P_DTINICIAL
                     AND M.DTFIMPERIODO   <= @P_DTFINAL
                     AND M.NRSEQUMAPAPU    = I.NRSEQUMAPAPU
                     AND N.CDFILIAL        = I.CDFILIAL
                     AND N.NRLANCTONF      = I.NRLANCTONF
                     AND I.CDFILIAL        = IC.CDFILIAL
                     AND I.NRLANCTONF      = IC.NRLANCTONF
                     AND I.CDIMPOSTO       = ST.CDIMPOSTRIB
                     AND N.IDSTATUS IN ('A','E')
                     AND ISNULL(I.IDIMPOSTONF, '1') <> '3'
                     AND ISNULL(SUBSTRING(I.CDFISCOPERNF,1,1),' ') <> '3'
                     AND ISNULL(SUBSTRING(I.CDFISCOPERNF,1,1),' ') <> '7'
                     AND N.CDMODDOCFISC = MD.CDMODDOCFISC
                     AND MD.CDTPREGFISC = '50'
                   GROUP BY I.CDFILIAL, I.NRLANCTONF, N.NRNOTAFISC, N.CDSERIE, N.CDSERIEENTR,
                            N.CDCLIENTE,N.DTEMISSAO, N.DTENTRSAID, I.VRALIQNF, I.CDFISCOPERNF,
                            N.CDMODDOCFISC, N.IDORIGDESTNF, N.IDENTRSAIDOP) NF ON (CL.CDCLIENTE = NF.CDCLIENTE)
           WHERE CA.CDCLIENTE       = NF.CDCLIENTE
             AND EC.CDPAIS          = ISNULL(@P_CDPAIS,EC.CDPAIS)
             AND (CHARINDEX(ISNULL(@P_SGESTADO, EC.SGESTADO), EC.SGESTADO) > 0)
         UNION ALL
          SELECT SUBSTRING('53'+
                 RIGHT(REPLICATE('0',14)+ISNULL(CASE FO.IDTPIJURFORN WHEN 'I' THEN '' WHEN 'O' THEN '' ELSE FO.NRINSJURFORN END,'00000000000000'),14)+
                 LEFT(ISNULL(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(FO.NRINSESTFORN, ' ', ''),'.',''),',',''),'-',''),'/',''),'ISENTO')+REPLICATE(' ',14),14)+
                 RTRIM(CONVERT(CHAR,CASE NF.IDENTRSAIDOP WHEN 'S' THEN NF.DTEMISSAO ELSE NF.DTENTRSAID END,112))+
                 LEFT(ISNULL(EF.SGESTADO,' ')+REPLICATE(' ',2),2)+
                 LEFT(ISNULL(NF.CDMODDOCFISC,'01')+REPLICATE(' ',2),2)+
                 LEFT(CASE ISNULL(NF.CDSERIEENTR,NF.CDSERIE) WHEN '-' THEN ' ' ELSE REPLACE(ISNULL(NF.CDSERIEENTR,NF.CDSERIE), '-', '')END+REPLICATE(' ',3),3)+
                 RIGHT(REPLICATE('0',6)+SUBSTRING(NF.NRNOTAFISC,LEN(NF.NRNOTAFISC)-5,6),6)+
                 LEFT(ISNULL(NF.CDFISCOPERNF,'0')+REPLICATE(' ',4),4)+
                 'P'+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRBASECALCNF,0)),'.','')),13)+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRIMPOSTONF,0)),'.','')),13)+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRDESPESAS,0)),'.','')),13)+
                 'N'+
                 ' '+
                 LEFT(' '+REPLICATE(' ',30),30), 1, 126) AS DSARQMAG
            FROM FORNECEDOR FA LEFT JOIN ENDEFORN EF ON (EF.CDFORNECED   = FA.CDFORNECED            AND
                                                         EF.IDTPENDEFORN = ISNULL(FA.IDENDEMISFOR,'P')),
                 FORNECEDOR FO RIGHT JOIN
                 (SELECT I.CDFILIAL, I.NRLANCTONF,N.NRNOTAFISC, N.CDSERIE, N.CDSERIEENTR, N.CDFORNECED,
                         N.DTENTRSAID, N.DTEMISSAO, I.VRALIQNF, I.CDFISCOPERNF,N.CDMODDOCFISC, N.IDORIGDESTNF, N.IDENTRSAIDOP,
                         SUM(I.VRCONTABILNF) AS VRCONTABILNF,
                         SUM(CASE I.CDFISCALNF WHEN '1' THEN I.VRBASECALCNF  ELSE 0 END )AS VRBASECALCNF,
                         SUM(CASE I.CDFISCALNF WHEN '1' THEN I.VRIMPOSTONF   ELSE 0 END )AS VRIMPOSTONF,
                         SUM(CASE I.CDFISCALNF WHEN '3' THEN I.VRCONTABILNF ELSE 0 END ) AS VROUTRCRED,
                         SUM(CASE I.CDFISCALNF WHEN '2' THEN I.VRCONTABILNF WHEN '1' THEN CASE I.VRPERREDBCNF WHEN 0 THEN 0 ELSE I.VRCONTABILNF-I.VRBASECALCNF END ELSE 0 END)AS VRISENTRIB,
                         0 AS VRDESPESAS
                    FROM MAPAAPURAC M, NOTAFISCAL N, IMPOSTONF I, MODDOCFISC MD,
                         (SELECT CDIMPOSTRIB
                            FROM IMPOSTO
                           WHERE CDIMPOSTO = @P_CDIMPOSTO) ST,
                         (SELECT DISTINCT IP.CDFILIAL, IP.NRLANCTONF
                            FROM MAPAAPURAC M, IMPOSTONF IP
                           WHERE M.CDEMPRESA    = @P_CDEMPRESA
                             AND M.CDINSCESTA   = @P_CDINSCESTA
                             AND M.DTINIPERIODO >= @P_DTINICIAL
                             AND M.DTFIMPERIODO <= @P_DTFINAL
                             AND M.CDIMPOSTO    = @P_CDIMPOSTO
                             AND M.NRSEQUMAPAPU = IP.NRSEQUMAPAPU
                             AND IP.CDIMPOSTO   = @P_CDIMPOSTO) IC
                   WHERE M.CDEMPRESA       = @P_CDEMPRESA
                     AND M.CDINSCESTA      = @P_CDINSCESTA
                     AND M.DTINIPERIODO   >= @P_DTINICIAL
                     AND M.DTFIMPERIODO   <= @P_DTFINAL
                     AND M.NRSEQUMAPAPU    = I.NRSEQUMAPAPU
                     AND N.CDFILIAL        = I.CDFILIAL
                     AND N.NRLANCTONF      = I.NRLANCTONF
                     AND I.CDFILIAL        = IC.CDFILIAL
                     AND I.NRLANCTONF      = IC.NRLANCTONF
                     AND I.CDIMPOSTO       = ST.CDIMPOSTRIB
                     AND N.IDSTATUS IN ('A','E')
                     AND ISNULL(I.IDIMPOSTONF, '1') <> '3'
                     AND ISNULL(SUBSTRING(I.CDFISCOPERNF,1,1),' ') <> '3'
                     AND ISNULL(SUBSTRING(I.CDFISCOPERNF,1,1),' ') <> '7'
                     AND N.CDMODDOCFISC  = MD.CDMODDOCFISC
                     AND MD.CDTPREGFISC  = '50'
                   GROUP BY I.CDFILIAL, I.NRLANCTONF, N.NRNOTAFISC, N.CDSERIE, N.CDSERIEENTR,
                            N.CDFORNECED,N.DTENTRSAID, N.DTEMISSAO, I.VRALIQNF, I.CDFISCOPERNF,
                            N.CDMODDOCFISC, N.IDORIGDESTNF, N.IDENTRSAIDOP) NF ON (FO.CDFORNECED = NF.CDFORNECED)
           WHERE FA.CDFORNECED      = NF.CDFORNECED
             AND EF.CDPAIS          = ISNULL(@P_CDPAIS,EF.CDPAIS)
             AND (CHARINDEX(ISNULL(@P_SGESTADO, EF.SGESTADO), EF.SGESTADO) > 0)
         UNION ALL
          SELECT SUBSTRING('53'+
                 LEFT(ISNULL(REPLACE(REPLACE(REPLACE(FI.NRINSJURFILI, '-', ''), '.', ''), '/', ''),'00000000000000')+REPLICATE(' ',14),14)+
                 LEFT(ISNULL(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(CASE SUBSTRING(UPPER(FI.CDINSCESTA),1,5)WHEN 'ISENT' THEN 'ISENTO'ELSE FI.CDINSCESTA END, ' ', ''),'.',''),',',''),'-',''),'/',''),'ISENTO')+REPLICATE(' ',14),14)+
                 RTRIM(CONVERT(CHAR,NF.DTENTRSAID,112))+
                 LEFT(ISNULL(EF.SGESTADO,' ')+REPLICATE(' ',2),2)+
                 LEFT(ISNULL(NF.CDMODDOCFISC,'01')+REPLICATE(' ',2), 2)+
                 LEFT(CASE ISNULL(NF.CDSERIE,NF.CDSERIEENTR) WHEN '-' THEN ' ' ELSE REPLACE(ISNULL(NF.CDSERIE,NF.CDSERIEENTR), '-', '')END+REPLICATE(' ',3),3)+
                 RIGHT(REPLICATE('0',6)+SUBSTRING(NF.NRNOTAFISC,LEN(NF.NRNOTAFISC)-5,6),6)+
                 LEFT(ISNULL(NF.CDFISCOPERNF,'0')+REPLICATE(' ',4),4)+
                 'P'+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRBASECALCNF,0)),'.','')),13)+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRIMPOSTONF,0)),'.','')),13)+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRDESPESAS,0)),'.','')),13)+
                 'N'+
                 ' '+
                 LEFT(' '+REPLICATE(' ',30),30), 1, 126) AS DSARQMAG
            FROM FILIAL F LEFT JOIN ENDEFILI EF ON (EF.CDFILIAL     = F.CDFILIAL AND
                                                    EF.IDTPENDEFILI = ISNULL(F.IDENDEMISFIL,'P')),
                 FILIAL FI RIGHT JOIN
                 (SELECT I.CDFILIAL, I.NRLANCTONF,N.NRNOTAFISC, N.CDSERIE, N.CDSERIEENTR, N.CDFILIEMIT,
                         N.DTENTRSAID, I.VRALIQNF, I.CDFISCOPERNF,N.CDMODDOCFISC, N.IDORIGDESTNF,
                         SUM(I.VRCONTABILNF) AS VRCONTABILNF,
                         SUM(CASE I.CDFISCALNF WHEN '1' THEN I.VRBASECALCNF  ELSE 0 END )AS VRBASECALCNF,
                         SUM(CASE I.CDFISCALNF WHEN '1' THEN I.VRIMPOSTONF   ELSE 0 END )AS VRIMPOSTONF,
                         SUM(CASE I.CDFISCALNF WHEN '3' THEN I.VRCONTABILNF ELSE 0 END ) AS VROUTRCRED,
                         SUM(CASE I.CDFISCALNF WHEN '2' THEN I.VRCONTABILNF WHEN '1' THEN CASE I.VRPERREDBCNF WHEN 0 THEN 0 ELSE I.VRCONTABILNF-I.VRBASECALCNF END ELSE 0 END)AS VRISENTRIB,
                         0 AS VRDESPESAS
                    FROM MAPAAPURAC M, NOTAFISCAL N, IMPOSTONF I, MODDOCFISC MD,
                         (SELECT CDIMPOSTRIB
                          FROM IMPOSTO
                          WHERE CDIMPOSTO = @P_CDIMPOSTO) ST,
                         (SELECT DISTINCT IP.CDFILIAL, IP.NRLANCTONF
                          FROM MAPAAPURAC M, IMPOSTONF IP
                          WHERE M.CDEMPRESA    = @P_CDEMPRESA     AND
                                M.CDINSCESTA   = @P_CDINSCESTA    AND
                                M.DTINIPERIODO >= @P_DTINICIAL     AND
                                M.DTFIMPERIODO <= @P_DTFINAL       AND
                                M.CDIMPOSTO    = @P_CDIMPOSTO     AND
                                M.NRSEQUMAPAPU = IP.NRSEQUMAPAPU AND
                                IP.CDIMPOSTO   = @P_CDIMPOSTO) IC
                   WHERE M.CDEMPRESA       = @P_CDEMPRESA
                     AND M.CDINSCESTA      = @P_CDINSCESTA
                     AND M.DTINIPERIODO    >= @P_DTINICIAL
                     AND M.DTFIMPERIODO    <= @P_DTFINAL
                     AND M.NRSEQUMAPAPU    = I.NRSEQUMAPAPU
                     AND N.IDENTRSAIDOP    = 'E'
                     AND ISNULL(N.IDORIGDESTNF, CASE N.IDENTRSAIDOP WHEN 'E' THEN 'F' ELSE 'C'END) = 'L'
                     AND N.CDFILIAL        = I.CDFILIAL
                     AND N.NRLANCTONF      = I.NRLANCTONF
                     AND I.CDFILIAL        = IC.CDFILIAL
                     AND I.NRLANCTONF      = IC.NRLANCTONF
                     AND I.CDIMPOSTO       = ST.CDIMPOSTRIB
                     AND ISNULL(I.IDIMPOSTONF, '1') <> '3'
                     AND N.IDSTATUS IN ('A','E')
                     AND ISNULL(SUBSTRING(I.CDFISCOPERNF,1,1),' ') <> '3'
                     AND N.CDMODDOCFISC = MD.CDMODDOCFISC
                     AND MD.CDTPREGFISC = '50'
                   GROUP BY I.CDFILIAL, I.NRLANCTONF, N.NRNOTAFISC, N.CDSERIE, N.CDSERIEENTR,
                            N.CDFILIEMIT,N.DTENTRSAID, I.VRALIQNF, I.CDFISCOPERNF,N.CDMODDOCFISC,
                            N.IDORIGDESTNF) NF ON (FI.CDFILIAL = NF.CDFILIEMIT)
           WHERE F.CDFILIAL         = NF.CDFILIEMIT
             AND EF.CDPAIS          = ISNULL(@P_CDPAIS,EF.CDPAIS)
             AND (CHARINDEX(ISNULL(@P_SGESTADO, EF.SGESTADO), EF.SGESTADO) > 0)
         UNION ALL
          SELECT SUBSTRING('53'+
                 LEFT(ISNULL(REPLACE(REPLACE(REPLACE(FI.NRINSJURFILI, '-', ''), '.', ''), '/', ''),'00000000000000')+REPLICATE(' ',14),14)+
                 LEFT(ISNULL(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(CASE SUBSTRING(UPPER(FI.CDINSCESTA),1,5)WHEN 'ISENT' THEN 'ISENTO'ELSE FI.CDINSCESTA END, ' ', ''),'.',''),',',''),'-',''),'/',''),'ISENTO')+REPLICATE(' ',14),14)+
                 RTRIM(CONVERT(CHAR,NF.DTEMISSAO,112))+
                 LEFT(ISNULL(EF.SGESTADO,' ')+REPLICATE(' ',2),2)+
                 LEFT(ISNULL(NF.CDMODDOCFISC,'01')+REPLICATE(' ',2), 2)+
                 LEFT(CASE ISNULL(NF.CDSERIE,NF.CDSERIEENTR) WHEN '-' THEN ' ' ELSE REPLACE(ISNULL(NF.CDSERIE,NF.CDSERIEENTR), '-', '')END+REPLICATE(' ',3),3)+
                 RIGHT(REPLICATE('0',6)+SUBSTRING(NF.NRNOTAFISC,LEN(NF.NRNOTAFISC)-5,6),6)+
                 LEFT(ISNULL(NF.CDFISCOPERNF,'0')+REPLICATE(' ',4),4)+
                 'P'+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRBASECALCNF,0)),'.','')),13)+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRIMPOSTONF,0)),'.','')),13)+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRDESPESAS,0)),'.','')),13)+
                 'N'+
                 ' '+
                 LEFT(' '+REPLICATE(' ',30),30), 1, 126) AS DSARQMAG
            FROM FILIAL F LEFT JOIN ENDEFILI EF ON (EF.CDFILIAL     = F.CDFILIAL AND
                                                    EF.IDTPENDEFILI = ISNULL(F.IDENDEMISFIL,'P')),
                 FILIAL FI RIGHT JOIN
                 (SELECT I.CDFILIAL, I.NRLANCTONF,N.NRNOTAFISC, N.CDSERIE, N.CDSERIEENTR, N.CDFILIRECE,
                         N.DTEMISSAO, I.VRALIQNF, I.CDFISCOPERNF,N.CDMODDOCFISC, N.IDORIGDESTNF,
                         SUM(I.VRCONTABILNF) AS VRCONTABILNF,
                         SUM(CASE I.CDFISCALNF WHEN '1' THEN I.VRBASECALCNF  ELSE 0 END )AS VRBASECALCNF,
                         SUM(CASE I.CDFISCALNF WHEN '1' THEN I.VRIMPOSTONF   ELSE 0 END )AS VRIMPOSTONF,
                         SUM(CASE I.CDFISCALNF WHEN '3' THEN I.VRCONTABILNF ELSE 0 END ) AS VROUTRCRED,
                         SUM(CASE I.CDFISCALNF WHEN '2' THEN I.VRCONTABILNF WHEN '1' THEN CASE I.VRPERREDBCNF WHEN 0 THEN 0 ELSE I.VRCONTABILNF-I.VRBASECALCNF END ELSE 0 END)AS VRISENTRIB,
                         0 AS VRDESPESAS
                    FROM MAPAAPURAC M, NOTAFISCAL N, IMPOSTONF I, MODDOCFISC MD,
                         (SELECT CDIMPOSTRIB
                            FROM IMPOSTO
                           WHERE CDIMPOSTO = @P_CDIMPOSTO) ST,
                         (SELECT DISTINCT IP.CDFILIAL, IP.NRLANCTONF
                            FROM MAPAAPURAC M, IMPOSTONF IP
                           WHERE M.CDEMPRESA    = @P_CDEMPRESA
                             AND M.CDINSCESTA   = @P_CDINSCESTA
                             AND M.DTINIPERIODO >= @P_DTINICIAL
                             AND M.DTFIMPERIODO <= @P_DTFINAL
                             AND M.CDIMPOSTO    = @P_CDIMPOSTO
                             AND M.NRSEQUMAPAPU = IP.NRSEQUMAPAPU
                             AND IP.CDIMPOSTO   = @P_CDIMPOSTO) IC
                   WHERE M.CDEMPRESA       = @P_CDEMPRESA
                     AND M.CDINSCESTA        = @P_CDINSCESTA
                     AND M.DTINIPERIODO    >= @P_DTINICIAL
                     AND M.DTFIMPERIODO    <= @P_DTFINAL
                     AND M.NRSEQUMAPAPU    = I.NRSEQUMAPAPU
                     AND N.IDENTRSAIDOP    = 'S'
                     AND ISNULL(N.IDORIGDESTNF, CASE N.IDENTRSAIDOP WHEN 'E' THEN 'F'ELSE 'C'END) = 'L'
                     AND N.CDFILIAL        = I.CDFILIAL
                     AND N.NRLANCTONF      = I.NRLANCTONF
                     AND I.CDFILIAL        = IC.CDFILIAL
                     AND I.NRLANCTONF      = IC.NRLANCTONF
                     AND I.CDIMPOSTO       = ST.CDIMPOSTRIB
                     AND N.IDSTATUS IN ('A','E')
                     AND ISNULL(I.IDIMPOSTONF, '1') <> '3'
                     AND ISNULL(SUBSTRING(I.CDFISCOPERNF,1,1),' ') <> '7'
                     AND N.CDMODDOCFISC = MD.CDMODDOCFISC
                     AND MD.CDTPREGFISC = '50'
                GROUP BY I.CDFILIAL, I.NRLANCTONF, N.NRNOTAFISC, N.CDSERIE, N.CDSERIEENTR,
                         N.CDFILIRECE, N.DTEMISSAO, I.VRALIQNF, I.CDFISCOPERNF,N.CDMODDOCFISC,
                         N.IDORIGDESTNF) NF ON (FI.CDFILIAL= NF.CDFILIRECE)
           WHERE F.CDFILIAL         = NF.CDFILIRECE
             AND EF.CDPAIS          = ISNULL(@P_CDPAIS,EF.CDPAIS)
             AND (CHARINDEX(ISNULL(@P_SGESTADO, EF.SGESTADO), EF.SGESTADO) > 0);

       OPEN C_REGISTRO53;
       FETCH NEXT FROM C_REGISTRO53 INTO @V_REGISTRO53;
       WHILE (@@FETCH_STATUS = 0) BEGIN

          INSERT INTO ARQMAGNETICO
            (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
            VALUES
            (RIGHT(REPLICATE('0',2)+CONVERT(VARCHAR,@V_CONTADOR),2)+RIGHT(REPLICATE('0',8)+CONVERT(VARCHAR,@V_CONTREG),8),@V_REGISTRO53, @P_NRSEQARQMAG);

          SET @V_CONTREG = @V_CONTREG + 1; 

       FETCH NEXT FROM C_REGISTRO53 INTO @V_REGISTRO53;
       END;
       CLOSE C_REGISTRO53;
       DEALLOCATE C_REGISTRO53;
   END;

   IF (@P_CDSITUCRT <> '3') BEGIN

       DECLARE C_REGISTRO53 CURSOR FOR
          SELECT SUBSTRING('53'+
                 RIGHT(REPLICATE('0',14)+ISNULL(CASE CL.IDTPIJURCLIE WHEN 'I' THEN ''WHEN 'O' THEN '' ELSE CL.NRINSJURCLIE END,'00000000000000'),14)+
                 LEFT(ISNULL(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(CL.NRINSESTCLIE, ' ', ''),'.',''),',',''),'-',''),'/',''),'ISENTO')+REPLICATE(' ',14),14)+
                 RTRIM(CONVERT(CHAR, CASE NF.IDENTRSAIDOP WHEN 'E' THEN  NF.DTENTRSAID ELSE NF.DTEMISSAO END,112))+
                 LEFT(ISNULL(EC.SGESTADO,' ')+REPLICATE(' ',2),2)+
                 LEFT(ISNULL(NF.CDMODDOCFISC,'01')+REPLICATE(' ',2),2)+
                 LEFT(CASE ISNULL(NF.CDSERIE,NF.CDSERIEENTR) WHEN '-' THEN ' ' ELSE REPLACE(ISNULL(NF.CDSERIE,NF.CDSERIEENTR), '-', '')END+REPLICATE(' ',3),3)+
                 RIGHT(REPLICATE('0',6)+SUBSTRING(NF.NRNOTAFISC,LEN(NF.NRNOTAFISC)-5,6),6)+
                 LEFT(ISNULL(NF.CDFISCOPERNF,'0')+REPLICATE(' ',4),4)+
                 'P'+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRBASECALCNF,0)),'.','')),13)+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRIMPOSTONF,0)),'.','')),13)+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRDESPESAS,0)),'.','')),13)+
                 'N'+
                 ' '+
                 LEFT(' '+REPLICATE(' ',30),30)
                 ,1, 126) AS DSARQMAG
            FROM CLIENTE CA LEFT JOIN ENDECLIE EC ON (EC.CDCLIENTE    = CA.CDCLIENTE AND
                                                      EC.IDTPENDECLIE = ISNULL(CA.IDENDEMISCLI,'P')),
                 CLIENTE CL RIGHT JOIN
                 (SELECT I.CDFILIAL, I.NRLANCTONF,N.NRNOTAFISC, N.CDSERIE, N.CDSERIEENTR, N.CDCLIENTE,
                         N.DTEMISSAO, N.DTENTRSAID, I.VRALIQNF, I.CDFISCOPERNF,N.CDMODDOCFISC, N.IDORIGDESTNF, N.IDENTRSAIDOP,
                         SUM(I.VRCONTABILNF) AS VRCONTABILNF,
                         SUM(CASE I.CDFISCALNF WHEN '1' THEN I.VRBASECALCNF  ELSE 0 END )AS VRBASECALCNF,
                         SUM(CASE I.CDFISCALNF WHEN '1' THEN I.VRIMPOSTONF   ELSE 0 END )AS VRIMPOSTONF,
                         SUM(CASE I.CDFISCALNF WHEN '3' THEN I.VRCONTABILNF ELSE 0 END ) AS VROUTRCRED,
                         SUM(CASE I.CDFISCALNF WHEN '2' THEN I.VRCONTABILNF WHEN '1' THEN CASE I.VRPERREDBCNF WHEN 0 THEN 0 ELSE I.VRCONTABILNF-I.VRBASECALCNF END ELSE 0 END)AS VRISENTRIB,
                         0 AS VRDESPESAS
                    FROM MAPAAPURACSN M, NOTAFISCAL N, IMPOSTONF I, MODDOCFISC MD,
                         (SELECT CDIMPOSTRIB
                            FROM IMPOSTO
                           WHERE CDIMPOSTO = @P_CDIMPOSTO) ST
                   WHERE M.CDEMPRESA       = @P_CDEMPRESA
                     AND M.DTINIPERIODO   >= @P_DTINICIAL
                     AND M.DTFIMPERIODO   <= @P_DTFINAL
                     AND M.NRSEQUMAPAPU    = N.NRSEQUMAPAPUSN
                     AND N.CDINSCESTA      = @P_CDINSCESTA
                     AND N.CDFILIAL        = I.CDFILIAL
                     AND N.NRLANCTONF      = I.NRLANCTONF
                     AND I.CDIMPOSTO       = ST.CDIMPOSTRIB
                     AND N.IDSTATUS IN ('A','E')
                     AND ISNULL(I.IDIMPOSTONF, '1') <> '3'
                     AND ISNULL(SUBSTRING(I.CDFISCOPERNF,1,1),' ') <> '3'
                     AND ISNULL(SUBSTRING(I.CDFISCOPERNF,1,1),' ') <> '7'
                     AND N.CDMODDOCFISC = MD.CDMODDOCFISC
                     AND MD.CDTPREGFISC = '50'
                   GROUP BY I.CDFILIAL, I.NRLANCTONF, N.NRNOTAFISC, N.CDSERIE, N.CDSERIEENTR,
                            N.CDCLIENTE,N.DTEMISSAO, N.DTENTRSAID, I.VRALIQNF, I.CDFISCOPERNF,
                            N.CDMODDOCFISC, N.IDORIGDESTNF, N.IDENTRSAIDOP) NF ON (CL.CDCLIENTE = NF.CDCLIENTE)
           WHERE CA.CDCLIENTE       = NF.CDCLIENTE
             AND EC.CDPAIS          = ISNULL(@P_CDPAIS,EC.CDPAIS)
             AND (CHARINDEX(ISNULL(@P_SGESTADO, EC.SGESTADO), EC.SGESTADO) > 0)
         UNION ALL
          SELECT SUBSTRING('53'+
                 RIGHT(REPLICATE('0',14)+ISNULL(CASE FO.IDTPIJURFORN WHEN 'I' THEN '' WHEN 'O' THEN '' ELSE FO.NRINSJURFORN END,'00000000000000'),14)+
                 LEFT(ISNULL(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(FO.NRINSESTFORN, ' ', ''),'.',''),',',''),'-',''),'/',''),'ISENTO')+REPLICATE(' ',14),14)+
                 RTRIM(CONVERT(CHAR,CASE NF.IDENTRSAIDOP WHEN 'S' THEN NF.DTEMISSAO ELSE NF.DTENTRSAID END,112))+
                 LEFT(ISNULL(EF.SGESTADO,' ')+REPLICATE(' ',2),2)+
                 LEFT(ISNULL(NF.CDMODDOCFISC,'01')+REPLICATE(' ',2),2)+
                 LEFT(CASE ISNULL(NF.CDSERIEENTR,NF.CDSERIE) WHEN '-' THEN ' ' ELSE REPLACE(ISNULL(NF.CDSERIEENTR,NF.CDSERIE), '-', '')END+REPLICATE(' ',3),3)+
                 RIGHT(REPLICATE('0',6)+SUBSTRING(NF.NRNOTAFISC,LEN(NF.NRNOTAFISC)-5,6),6)+
                 LEFT(ISNULL(NF.CDFISCOPERNF,'0')+REPLICATE(' ',4),4)+
                 'P'+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRBASECALCNF,0)),'.','')),13)+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRIMPOSTONF,0)),'.','')),13)+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRDESPESAS,0)),'.','')),13)+
                 'N'+
                 ' '+
                 LEFT(' '+REPLICATE(' ',30),30), 1, 126) AS DSARQMAG
            FROM FORNECEDOR FA LEFT JOIN ENDEFORN EF ON (EF.CDFORNECED   = FA.CDFORNECED            AND
                                                         EF.IDTPENDEFORN = ISNULL(FA.IDENDEMISFOR,'P')),
                 FORNECEDOR FO RIGHT JOIN
                 (SELECT I.CDFILIAL, I.NRLANCTONF,N.NRNOTAFISC, N.CDSERIE, N.CDSERIEENTR, N.CDFORNECED,
                         N.DTENTRSAID, N.DTEMISSAO, I.VRALIQNF, I.CDFISCOPERNF,N.CDMODDOCFISC, N.IDORIGDESTNF, N.IDENTRSAIDOP,
                         SUM(I.VRCONTABILNF) AS VRCONTABILNF,
                         SUM(CASE I.CDFISCALNF WHEN '1' THEN I.VRBASECALCNF  ELSE 0 END )AS VRBASECALCNF,
                         SUM(CASE I.CDFISCALNF WHEN '1' THEN I.VRIMPOSTONF   ELSE 0 END )AS VRIMPOSTONF,
                         SUM(CASE I.CDFISCALNF WHEN '3' THEN I.VRCONTABILNF ELSE 0 END ) AS VROUTRCRED,
                         SUM(CASE I.CDFISCALNF WHEN '2' THEN I.VRCONTABILNF WHEN '1' THEN CASE I.VRPERREDBCNF WHEN 0 THEN 0 ELSE I.VRCONTABILNF-I.VRBASECALCNF END ELSE 0 END)AS VRISENTRIB,
                         0 AS VRDESPESAS
                    FROM MAPAAPURACSN M, NOTAFISCAL N, IMPOSTONF I, MODDOCFISC MD,
                         (SELECT CDIMPOSTRIB
                            FROM IMPOSTO
                           WHERE CDIMPOSTO = @P_CDIMPOSTO) ST
                   WHERE M.CDEMPRESA       = @P_CDEMPRESA
                     AND M.DTINIPERIODO   >= @P_DTINICIAL
                     AND M.DTFIMPERIODO   <= @P_DTFINAL
                     AND M.NRSEQUMAPAPU    = N.NRSEQUMAPAPUSN
                     AND N.CDINSCESTA      = @P_CDINSCESTA
                     AND N.CDFILIAL        = I.CDFILIAL
                     AND N.NRLANCTONF      = I.NRLANCTONF
                     AND I.CDIMPOSTO       = ST.CDIMPOSTRIB
                     AND N.IDSTATUS IN ('A','E')
                     AND ISNULL(I.IDIMPOSTONF, '1') <> '3'
                     AND ISNULL(SUBSTRING(I.CDFISCOPERNF,1,1),' ') <> '3'
                     AND ISNULL(SUBSTRING(I.CDFISCOPERNF,1,1),' ') <> '7'
                     AND N.CDMODDOCFISC  = MD.CDMODDOCFISC
                     AND MD.CDTPREGFISC  = '50'
                   GROUP BY I.CDFILIAL, I.NRLANCTONF, N.NRNOTAFISC, N.CDSERIE, N.CDSERIEENTR,
                            N.CDFORNECED,N.DTENTRSAID, N.DTEMISSAO, I.VRALIQNF, I.CDFISCOPERNF,
                            N.CDMODDOCFISC, N.IDORIGDESTNF, N.IDENTRSAIDOP) NF ON (FO.CDFORNECED = NF.CDFORNECED)
           WHERE FA.CDFORNECED      = NF.CDFORNECED
             AND EF.CDPAIS          = ISNULL(@P_CDPAIS,EF.CDPAIS)
             AND (CHARINDEX(ISNULL(@P_SGESTADO, EF.SGESTADO), EF.SGESTADO) > 0)
         UNION ALL
          SELECT SUBSTRING('53'+
                 LEFT(ISNULL(REPLACE(REPLACE(REPLACE(FI.NRINSJURFILI, '-', ''), '.', ''), '/', ''),'00000000000000')+REPLICATE(' ',14),14)+
                 LEFT(ISNULL(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(CASE SUBSTRING(UPPER(FI.CDINSCESTA),1,5)WHEN 'ISENT' THEN 'ISENTO'ELSE FI.CDINSCESTA END, ' ', ''),'.',''),',',''),'-',''),'/',''),'ISENTO')+REPLICATE(' ',14),14)+
                 RTRIM(CONVERT(CHAR,NF.DTENTRSAID,112))+
                 LEFT(ISNULL(EF.SGESTADO,' ')+REPLICATE(' ',2),2)+
                 LEFT(ISNULL(NF.CDMODDOCFISC,'01')+REPLICATE(' ',2), 2)+
                 LEFT(CASE ISNULL(NF.CDSERIE,NF.CDSERIEENTR) WHEN '-' THEN ' ' ELSE REPLACE(ISNULL(NF.CDSERIE,NF.CDSERIEENTR), '-', '')END+REPLICATE(' ',3),3)+
                 RIGHT(REPLICATE('0',6)+SUBSTRING(NF.NRNOTAFISC,LEN(NF.NRNOTAFISC)-5,6),6)+
                 LEFT(ISNULL(NF.CDFISCOPERNF,'0')+REPLICATE(' ',4),4)+
                 'P'+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRBASECALCNF,0)),'.','')),13)+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRIMPOSTONF,0)),'.','')),13)+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRDESPESAS,0)),'.','')),13)+
                 'N'+
                 ' '+
                 LEFT(' '+REPLICATE(' ',30),30), 1, 126) AS DSARQMAG
            FROM FILIAL F LEFT JOIN ENDEFILI EF ON (EF.CDFILIAL     = F.CDFILIAL AND
                                                    EF.IDTPENDEFILI = ISNULL(F.IDENDEMISFIL,'P')),
                 FILIAL FI RIGHT JOIN
                 (SELECT I.CDFILIAL, I.NRLANCTONF,N.NRNOTAFISC, N.CDSERIE, N.CDSERIEENTR, N.CDFILIEMIT,
                         N.DTENTRSAID, I.VRALIQNF, I.CDFISCOPERNF,N.CDMODDOCFISC, N.IDORIGDESTNF,
                         SUM(I.VRCONTABILNF) AS VRCONTABILNF,
                         SUM(CASE I.CDFISCALNF WHEN '1' THEN I.VRBASECALCNF  ELSE 0 END )AS VRBASECALCNF,
                         SUM(CASE I.CDFISCALNF WHEN '1' THEN I.VRIMPOSTONF   ELSE 0 END )AS VRIMPOSTONF,
                         SUM(CASE I.CDFISCALNF WHEN '3' THEN I.VRCONTABILNF ELSE 0 END ) AS VROUTRCRED,
                         SUM(CASE I.CDFISCALNF WHEN '2' THEN I.VRCONTABILNF WHEN '1' THEN CASE I.VRPERREDBCNF WHEN 0 THEN 0 ELSE I.VRCONTABILNF-I.VRBASECALCNF END ELSE 0 END)AS VRISENTRIB,
                         0 AS VRDESPESAS
                    FROM MAPAAPURACSN M, NOTAFISCAL N, IMPOSTONF I, MODDOCFISC MD,
                         (SELECT CDIMPOSTRIB
                          FROM IMPOSTO
                          WHERE CDIMPOSTO = @P_CDIMPOSTO) ST
                   WHERE M.CDEMPRESA       = @P_CDEMPRESA
                     AND M.DTINIPERIODO    >= @P_DTINICIAL
                     AND M.DTFIMPERIODO    <= @P_DTFINAL
                     AND M.NRSEQUMAPAPU    = N.NRSEQUMAPAPUSN
                     AND N.CDINSCESTA      = @P_CDINSCESTA
                     AND N.IDENTRSAIDOP    = 'E'
                     AND ISNULL(N.IDORIGDESTNF, CASE N.IDENTRSAIDOP WHEN 'E' THEN 'F' ELSE 'C'END) = 'L'
                     AND N.CDFILIAL        = I.CDFILIAL
                     AND N.NRLANCTONF      = I.NRLANCTONF
                     AND I.CDIMPOSTO       = ST.CDIMPOSTRIB
                     AND ISNULL(I.IDIMPOSTONF, '1') <> '3'
                     AND N.IDSTATUS IN ('A','E')
                     AND ISNULL(SUBSTRING(I.CDFISCOPERNF,1,1),' ') <> '3'
                     AND N.CDMODDOCFISC = MD.CDMODDOCFISC
                     AND MD.CDTPREGFISC = '50'
                   GROUP BY I.CDFILIAL, I.NRLANCTONF, N.NRNOTAFISC, N.CDSERIE, N.CDSERIEENTR,
                            N.CDFILIEMIT,N.DTENTRSAID, I.VRALIQNF, I.CDFISCOPERNF,N.CDMODDOCFISC,
                            N.IDORIGDESTNF) NF ON (FI.CDFILIAL = NF.CDFILIEMIT)
           WHERE F.CDFILIAL         = NF.CDFILIEMIT
             AND EF.CDPAIS          = ISNULL(@P_CDPAIS,EF.CDPAIS)
             AND (CHARINDEX(ISNULL(@P_SGESTADO, EF.SGESTADO), EF.SGESTADO) > 0)
         UNION ALL
          SELECT SUBSTRING('53'+
                 LEFT(ISNULL(REPLACE(REPLACE(REPLACE(FI.NRINSJURFILI, '-', ''), '.', ''), '/', ''),'00000000000000')+REPLICATE(' ',14),14)+
                 LEFT(ISNULL(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(CASE SUBSTRING(UPPER(FI.CDINSCESTA),1,5)WHEN 'ISENT' THEN 'ISENTO'ELSE FI.CDINSCESTA END, ' ', ''),'.',''),',',''),'-',''),'/',''),'ISENTO')+REPLICATE(' ',14),14)+
                 RTRIM(CONVERT(CHAR,NF.DTEMISSAO,112))+
                 LEFT(ISNULL(EF.SGESTADO,' ')+REPLICATE(' ',2),2)+
                 LEFT(ISNULL(NF.CDMODDOCFISC,'01')+REPLICATE(' ',2), 2)+
                 LEFT(CASE ISNULL(NF.CDSERIE,NF.CDSERIEENTR) WHEN '-' THEN ' ' ELSE REPLACE(ISNULL(NF.CDSERIE,NF.CDSERIEENTR), '-', '')END+REPLICATE(' ',3),3)+
                 RIGHT(REPLICATE('0',6)+SUBSTRING(NF.NRNOTAFISC,LEN(NF.NRNOTAFISC)-5,6),6)+
                 LEFT(ISNULL(NF.CDFISCOPERNF,'0')+REPLICATE(' ',4),4)+
                 'P'+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRBASECALCNF,0)),'.','')),13)+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRIMPOSTONF,0)),'.','')),13)+
                 RIGHT(REPLICATE('0',13)+LTRIM(REPLACE(CONVERT(NUMERIC(13,2),ISNULL(NF.VRDESPESAS,0)),'.','')),13)+
                 'N'+
                 ' '+
                 LEFT(' '+REPLICATE(' ',30),30), 1, 126) AS DSARQMAG
            FROM FILIAL F LEFT JOIN ENDEFILI EF ON (EF.CDFILIAL     = F.CDFILIAL AND
                                                    EF.IDTPENDEFILI = ISNULL(F.IDENDEMISFIL,'P')),
                 FILIAL FI RIGHT JOIN
                 (SELECT I.CDFILIAL, I.NRLANCTONF,N.NRNOTAFISC, N.CDSERIE, N.CDSERIEENTR, N.CDFILIRECE,
                         N.DTEMISSAO, I.VRALIQNF, I.CDFISCOPERNF,N.CDMODDOCFISC, N.IDORIGDESTNF,
                         SUM(I.VRCONTABILNF) AS VRCONTABILNF,
                         SUM(CASE I.CDFISCALNF WHEN '1' THEN I.VRBASECALCNF  ELSE 0 END )AS VRBASECALCNF,
                         SUM(CASE I.CDFISCALNF WHEN '1' THEN I.VRIMPOSTONF   ELSE 0 END )AS VRIMPOSTONF,
                         SUM(CASE I.CDFISCALNF WHEN '3' THEN I.VRCONTABILNF ELSE 0 END ) AS VROUTRCRED,
                         SUM(CASE I.CDFISCALNF WHEN '2' THEN I.VRCONTABILNF WHEN '1' THEN CASE I.VRPERREDBCNF WHEN 0 THEN 0 ELSE I.VRCONTABILNF-I.VRBASECALCNF END ELSE 0 END)AS VRISENTRIB,
                         0 AS VRDESPESAS
                    FROM MAPAAPURAC M, NOTAFISCAL N, IMPOSTONF I, MODDOCFISC MD,
                         (SELECT CDIMPOSTRIB
                            FROM IMPOSTO
                           WHERE CDIMPOSTO = @P_CDIMPOSTO) ST
                   WHERE M.CDEMPRESA       = @P_CDEMPRESA
                     AND M.DTINIPERIODO    >= @P_DTINICIAL
                     AND M.DTFIMPERIODO    <= @P_DTFINAL
                     AND M.NRSEQUMAPAPU    = N.NRSEQUMAPAPUSN
                     AND M.CDINSCESTA        = @P_CDINSCESTA
                     AND N.IDENTRSAIDOP    = 'S'
                     AND ISNULL(N.IDORIGDESTNF, CASE N.IDENTRSAIDOP WHEN 'E' THEN 'F'ELSE 'C'END) = 'L'
                     AND N.CDFILIAL        = I.CDFILIAL
                     AND N.NRLANCTONF      = I.NRLANCTONF
                     AND I.CDIMPOSTO       = ST.CDIMPOSTRIB
                     AND N.IDSTATUS IN ('A','E')
                     AND ISNULL(I.IDIMPOSTONF, '1') <> '3'
                     AND ISNULL(SUBSTRING(I.CDFISCOPERNF,1,1),' ') <> '7'
                     AND N.CDMODDOCFISC = MD.CDMODDOCFISC
                     AND MD.CDTPREGFISC = '50'
                GROUP BY I.CDFILIAL, I.NRLANCTONF, N.NRNOTAFISC, N.CDSERIE, N.CDSERIEENTR,
                         N.CDFILIRECE, N.DTEMISSAO, I.VRALIQNF, I.CDFISCOPERNF,N.CDMODDOCFISC,
                         N.IDORIGDESTNF) NF ON (FI.CDFILIAL= NF.CDFILIRECE)
           WHERE F.CDFILIAL         = NF.CDFILIRECE
             AND EF.CDPAIS          = ISNULL(@P_CDPAIS,EF.CDPAIS)
             AND (CHARINDEX(ISNULL(@P_SGESTADO, EF.SGESTADO), EF.SGESTADO) > 0);

       OPEN C_REGISTRO53;
       FETCH NEXT FROM C_REGISTRO53 INTO @V_REGISTRO53;
       WHILE (@@FETCH_STATUS = 0) BEGIN

          INSERT INTO ARQMAGNETICO
            (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
            VALUES
            (RIGHT(REPLICATE('0',2)+CONVERT(VARCHAR,@V_CONTADOR),2)+RIGHT(REPLICATE('0',8)+CONVERT(VARCHAR,@V_CONTREG),8),@V_REGISTRO53, @P_NRSEQARQMAG);

          SET @V_CONTREG = @V_CONTREG + 1;

       FETCH NEXT FROM C_REGISTRO53 INTO @V_REGISTRO53;
       END;
       CLOSE C_REGISTRO53;
       DEALLOCATE C_REGISTRO53;
   END;

   SET @P_CONTADOR = @V_CONTADOR;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'ARQUIVO_SINTEGRA_53','5.05.061';
GO

